/*
Project: ffm-main-template.
Description: Main configuration for your project.
Author: Tatsumi Suzuki
Date: 2017-02-17
Licence: https://fastforwardmedia.se
*/

/* COLORS */

/* Add more if needed */
$font-color-1: rgb(65, 65, 65);
$font-color-2: rgb(40, 118, 156);

$background-color-1: rgb(255, 255, 255);
$background-color-2: $background-color-1;

$border-color: rgb(214, 214, 214);

/*Link specific colors and styles */
$link-color: $font-color-2;
$link-color-hover: $font-color-1;
$link-text-decoration: none;

/* DISTANCES */

/* Page Wrapper Sizes */
$small-page: 960px;
$default-page: 1024px;
$medium-page: 1280px;
$large-page: 1440px;

/* Breakpoints */
$desktop-breakpoint: $default-page;
$tablet-breakpoint: 768px;
$mobile-breakpoint: 640px;

/* Main margin base - "Gutter is Glutter. Old habits of crazy names misspelled. - Tatsumi" */
$glutter: 30px;

/* Margins */
$margin-sm: $glutter/2;
$margin-default: $glutter;
$margin-md: $glutter*2;
$margin-lg: $glutter*3;
$margin-xl: $glutter*4;

/* TYPOGRAPHY */

/* Include all your fonts here */
@import url('https://fonts.googleapis.com/css?family=Muli:400,400i,700');

/* Font families */
$font-family-1: 'Muli', sans-serif;

/* Font weights */
$font-weight-1: 400;
$font-weight-2: 700;

/* Font sizes - .font-xs, .font-sm, .font-default, .font-md, .font-lg, .font-xl
/* If you need to add more sizes you will need to add more css classes. */
$font-xs: 12px;
$font-sm: 14px;
$font-default: 16px;
$font-md: 18px;
$font-lg: 24px;
$font-xl: 32px;

/* Line heights */
$line-height-1: 1;
$line-height-2: 1.1;
$line-height-3: 1.2;
$line-height-4: 1.3;
$line-height-5: 1.4;


/* DON'T EDIT THE FUNCTIONS */
@function calculate-rem($size) {
	$rem-size: $size / $font-default;
	@return #{$rem-size}rem;
}

@mixin font-size($size) {
	//Fallback in px
	font-size: $size;
	font-size: calculate-rem($size);
}

@mixin margin($direction) {
	margin-#{$direction}: $margin-default;

	&-sm {
		margin-#{$direction}: $margin-sm;
	}

	&-md {
		margin-#{$direction}: $margin-md;
	}

	&-lg {
		margin-#{$direction}: $margin-lg;
	}

	&-xl {
		margin-#{$direction}: $margin-xl;
	}
}

@mixin padding($direction) {
	padding-#{$direction}: $margin-default;

	&-sm {
		padding-#{$direction}: $margin-sm;
	}

	&-md {
		padding-#{$direction}: $margin-md;
	}

	&-lg {
		padding-#{$direction}: $margin-lg;
	}

	&-xl {
		padding-#{$direction}: $margin-xl;
	}
}

@mixin aspect-ratio($width, $height) {
	position: relative;

	&:before{
		display: block;
		content: " ";
		width: 100%;
		padding-top: ($height / $width) * 100%;
	}
}

/* CONTINUE EDITING HERE */


/* ELEMENT STYLES */

/* All useful css overrides goes here */
.h1 {
	@include font-size($font-xl);
	line-height: $line-height-1;
}

.h2 {
	@include font-size($font-lg);
	line-height: $line-height-2;
}

.h3 {
	@include font-size($font-md);
	line-height: $line-height-2;
}

.h4 {
	@include font-size($font-default);
	line-height: $line-height-5;
}

.h5 {
	@include font-size($font-sm);
	line-height: $line-height-2;
}

.h6 {
	@include font-size($font-xs);
	line-height: $line-height-2;
}

.p {
	@include font-size($font-default);
	line-height: $line-height-5;
}

/* Can be used as they are or as: .margin-[direction]-[sm | md | lg | xl] */
.margin-top {
	@include margin(top);
}

.margin-right {
	@include margin(right);
}

.margin-bottom {
	@include margin(bottom);
}

.margin-left {
	@include margin(left);
}

/* Can be used as they are or as: .padding-[direction]-[sm | md | lg | xl] */
.padding-top {
	@include padding(top);
}

.padding-right {
	@include padding(right);
}

.padding-bottom {
	@include padding(bottom);
}

.padding-left {
	@include padding(left);
}

.font-weight-1 {
	font-weight: $font-weight-1;
}

.font-weight-2 {
	font-weight: $font-weight-2;
}

.italic {
	font-style: italic;
}

/* Useful classes for background image aspect ratio */
[class*='background-image-'] {
	background-position: 50% 50%;
	background-repeat: no-repeat;
	background-size: cover;
	display: block;
}

// 1:1 Square
.background-image-1-1 {
	@include aspect-ratio(1,1);
}

// 2:3 Vertical
.background-image-2-3 {
	@include aspect-ratio(2,3);
}

// 3:2 Horizontal
.background-image-3-2 {
	@include aspect-ratio(3,2);
}

// 4:3
.background-image-4-3 {
	@include aspect-ratio(4,3);
}

// 3:4
.background-image-3-4 {
	@include aspect-ratio(3,4);
}

// 16:9
.background-image-16-9 {
	@include aspect-ratio(16,9);
}
